Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001114TestLinkTest Plan (builds, milestones, test assign)public2007-10-09 05:072008-11-07 19:47
Reportermhavlat 
Assigned Toschlundus 
PriorityurgentSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.7.0 final 
Fixed in Version1.8 Beta 1 
Summary0001114: Milestones are out of work
Description1. There is inappropriate checking of milestones. 100% could have each priority level.

2. Wrong texts are shown after invalid input in Create milestone frame.

3. I miss any report to count milestones data. Is it destroyed during DB changes in 1.7?
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
related to 0000025closedmhavlat [SF 1243217 ] provide filter by priority while in test execution mode 
related to 0001397closedschlundus Can't create milestone after bad input of priority 

-  Notes
(0002326)
schlundus (reporter)
2007-10-10 03:24

1:
I put in 100 in each field and got the following:
Error All percentage values summed up cannot be higher than 100

Please add more details for 1 and 2
(0002327)
mhavlat (reporter)
2007-10-10 04:03
edited on: 2007-10-10 04:04

1. Each % value could be in range 0%-100%. It has no sense verify it together. There could be description to explain that each parameter means minimal percentage of executed tests per priority. It seems that developers don't know meaning too. The title of parameter could be something like that:
"Completed tests with A Priority [0-100%]"

2. Add invalid test completed values and press Create button.
The form shows previous data, but button is "Edit" instead of "Create". There is probably wrong frame loaded. You can continue to correct data to valid ones and press "Edit" button. The result "Milestone was successfully updated!" is shown, but new data was not added.

(0003298)
mhavlat (reporter)
2008-02-15 22:51

This must be fixed in 1.8!

- Issue History
Date Modified Username Field Change
2007-10-09 05:07 mhavlat New Issue
2007-10-10 03:24 schlundus Note Added: 0002326
2007-10-10 04:03 mhavlat Note Added: 0002327
2007-10-10 04:04 mhavlat Note Edited: 0002327
2007-10-16 02:19 mhavlat Severity crash => major
2007-11-01 15:35 mhavlat Relationship added related to 0000799
2007-11-01 15:36 mhavlat Relationship deleted related to 0000799
2007-11-18 10:30 mhavlat Relationship added related to 0000025
2008-02-15 22:51 mhavlat Relationship added related to 0001397
2008-02-15 22:51 mhavlat Note Added: 0003298
2008-02-15 22:52 mhavlat Priority normal => urgent
2008-02-15 22:52 mhavlat Severity major => crash
2008-02-16 02:46 schlundus Status new => resolved
2008-02-16 02:46 schlundus Fixed in Version => next development version (1.8 Beta1)
2008-02-16 02:46 schlundus Resolution open => fixed
2008-02-16 02:46 schlundus Assigned To => schlundus
2008-06-03 16:48 mhavlat Fixed in Version next development version (1.8 Beta1) => 1.8 Beta 1
2008-08-27 05:10 mhavlat Relationship added related to 0000537
2008-11-07 19:47 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker